import { __values } from "tslib";
export var ELoadGeometryPreviews;
(function (ELoadGeometryPreviews) {
    ELoadGeometryPreviews["PreviewOnly"] = "PreviewOnly";
    ELoadGeometryPreviews["Staged"] = "Staged";
    ELoadGeometryPreviews["Default"] = "Default";
})(ELoadGeometryPreviews || (ELoadGeometryPreviews = {}));
export var State = {
    API: undefined,
    cameraViews: new Array(),
    maxBBoxOverlap: 0.01,
    loadGeometryPreviews: ELoadGeometryPreviews.Default,
    regexCache: {},
    postprocessingOptions: {
        globalEnable: true,
        timeout: 300,
        handlePostprocessingBeforeRender: function () {
            var e_1, _a;
            try {
                // default behaviour: re-enter postprocessing in all camera views.
                // note: overwrite if you know better which camera views you want to refresh.
                for (var _b = __values(State.cameraViews), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var view = _c.value;
                    view.enterPostprocessing();
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        },
    },
    maxTextureSize: 4096,
};
